1. Endpoints
Tahdah API
  • Introduction
  • Webhooks
  • Unresolved schema mappings
  • TrustGroups
    • About Trust Groups
    • Endpoints
      • List Trust Groups
        GET
      • Create a Trust Group
        PUT
      • Update Trust Group
        POST
      • List Trust Group Legal Entity Members
        GET
      • List Trust Group Candidate Members
        GET
      • Add Trust Group Member
        PUT
      • Remove Trust Group Member
        DELETE
    • Member Updated
  • EventCredits
    • Add Credits to Legal Entity
    • Event Credits Updated
  • Tracker
    • About Tracker
    • Get Candidate Targets
    • Get Legal Entity Targets
  • Pathways
    • About Pathways
    • Registrations
      • About Registrations
      • Get Registrations
      • Create Registations
      • Registration Created
    • Get Legal Entity Pathways
    • Get Pathway
  • DigitalBadges
    • Issue Digital Badge
    • Get Badge Templates
  • LegalEntities
    • People/Staff
      • Legal Entity People List
      • Connect a Person to a Legal Entity
      • Person Added
      • Roles Updated
    • Legal Entity Details
    • Create Legal Entity
    • Legal Entity Created
  • Candidates
    • EndPoints
      • Create Candidate
      • Update a Candidate
      • Delete Candidate
      • Add/Remove tags to a candidate
    • Webhooks
  • Catalogues
    • Catalogue Entry Published
  • Finance
    • Ledger Entry Created
  • Schemas
    • Inbound
    • Events
      • EventTemplateCreditRequest
      • EventTemplateCredit
    • Catalogue
      • CatalogueEntry
    • Finance
      • Currency
      • InvoiceItem
      • PaymentItem
      • LedgerEntry
      • InvoiceAddress
      • Entity
    • LearningExperiences
      • LearningExperienceRef
      • PathwayTypeRef
    • Candidate
      • CandidateRef
    • LegalEntities
      • RoleRef
      • LegalEntity
      • legalEntityIdentifier
    • TrustGroupMember
    • TrustGroup
    • temp
    • Candidate
    • HATEOAS Link
  1. Endpoints

Create a Trust Group

New Genergy Live
https://api.tahdah.me
New Genergy Live
https://api.tahdah.me
PUT
/api/trustgroups/legalentities/{legalEntityOwnerId}
Create a trust group for the legal entity

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Body Params application/json

Example
{
    "name": "string",
    "uid": "07cc67f4-45d6-494b-adac-09b5cbc7e2b5",
    "monthlyPrice": 0,
    "annualPrice": 0,
    "description": "string",
    "colourCode": "string",
    "iconFile": "string",
    "publicName": "string",
    "extensionGroupName": "string",
    "membersPubliclyVisible": true,
    "showOnBadge": true,
    "showInDetails": true,
    "allowEditingInDetails": true,
    "parentTrustGroup": "258c7b4f-948b-4f3c-8137-ca91defeedf9",
    "accessRights": [
        0
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://api.tahdah.me/api/trustgroups/legalentities/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "string",
    "uid": "07cc67f4-45d6-494b-adac-09b5cbc7e2b5",
    "monthlyPrice": 0,
    "annualPrice": 0,
    "description": "string",
    "colourCode": "string",
    "iconFile": "string",
    "publicName": "string",
    "extensionGroupName": "string",
    "membersPubliclyVisible": true,
    "showOnBadge": true,
    "showInDetails": true,
    "allowEditingInDetails": true,
    "parentTrustGroup": "258c7b4f-948b-4f3c-8137-ca91defeedf9",
    "accessRights": [
        0
    ]
}'

Responses

🟢200Success
application/json
Body

Example
{}
🟠400Bad Request
Modified at 2026-01-26 15:53:39
Previous
List Trust Groups
Next
Update Trust Group
Built with